1. #1

    need help cant update settlers rise of an empire

    Share this post

  2. #2
    Share this post

  3. #3
    it said the settlers rise of an empire updatae 1.71.4289 base:incompatible s6patch.ini the base installation
    is not update because it isnt compatible with this u completed i man what??????????????
    the
    Share this post

  4. #4
    Ubi-MoshiMoshi's Avatar Community Representative
    Join Date
    Nov 2011
    Location
    EMEA CRC
    Posts
    20,529
    Hi luke.baker, have you contacted technical support? the link is in my signature.
    Share this post